Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360255 (qt5-qtcharts) - Review Request: qt5-qtcharts - Qt Charts module
Summary: Review Request: qt5-qtcharts - Qt Charts module
Keywords:
Status: CLOSED RAWHIDE
Alias: qt5-qtcharts
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1360256 (view as bug list)
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2016-07-26 11:12 UTC by Helio Chissini de Castro
Modified: 2017-01-24 16:21 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-24 16:21:55 UTC
rdieter: fedora-review+


Attachments (Terms of Use)

Description Helio Chissini de Castro 2016-07-26 11:12:59 UTC
Spec URL: https://heliocastro.fedorapeople.org/qt5-qtcharts/qt5-qtcharts.spec
SRPM URL: https://heliocastro.fedorapeople.org/qt5-qtcharts/qt5-qtcharts-5.7.0-2.fc24.src.rpm
Description: Qt Charts module provides a set of easy to use chart components. It uses the Qt Graphics View Framework, therefore charts can be easily
integrated to modern user interfaces. Qt Charts can be used as QWidgets, QGraphicsWidget, or QML types.
Users can easily create impressive graphs by selecting one of the charts themes.
Fedora Account System Username: heliocastro

Comment 1 Helio Chissini de Castro 2016-07-26 11:15:41 UTC
*** Bug 1360256 has been marked as a duplicate of this bug. ***

Comment 2 Kevin Kofler 2016-10-07 14:41:46 UTC
Your spec URL is a 404.

Comment 3 Helio Chissini de Castro 2016-10-07 14:50:46 UTC
Fixed

Comment 4 Raphael Groner 2016-10-08 16:47:08 UTC
Taken.

Comment 5 Raphael Groner 2016-10-09 17:09:33 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Header files in -devel subpackage, if present.
  Note: qt5-qtcharts-examples :
  /usr/lib64/qt5/examples/charts/barmodelmapper/customtablemodel.h qt5
  -qtcharts-examples :
  /usr/lib64/qt5/examples/charts/barmodelmapper/tablewidget.h qt5-qtcharts-
  examples : /usr/lib64/qt5/examples/charts/boxplotchart/boxdatareader.h
  qt5-qtcharts-examples : /usr/lib64/qt5/examples/charts/callout/callout.h
  qt5-qtcharts-examples : /usr/lib64/qt5/examples/charts/callout/view.h qt5
  -qtcharts-examples :
  /usr/lib64/qt5/examples/charts/chartinteractions/chart.h qt5-qtcharts-
  examples : /usr/lib64/qt5/examples/charts/chartinteractions/chartview.h
  qt5-qtcharts-examples :
  /usr/lib64/qt5/examples/charts/chartthemes/themewidget.h qt5-qtcharts-
  examples :
  /usr/lib64/qt5/examples/charts/donutbreakdown/donutbreakdownchart.h qt5
  -qtcharts-examples :
  /usr/lib64/qt5/examples/charts/donutbreakdown/mainslice.h qt5-qtcharts-
  examples : /usr/lib64/qt5/examples/charts/dynamicspline/chart.h qt5
  -qtcharts-examples : /usr/lib64/qt5/examples/charts/legend/mainwidget.h
  qt5-qtcharts-examples :
  /usr/lib64/qt5/examples/charts/legendmarkers/mainwidget.h qt5-qtcharts-
  examples : /usr/lib64/qt5/examples/charts/modeldata/customtablemodel.h
  qt5-qtcharts-examples :
  /usr/lib64/qt5/examples/charts/modeldata/tablewidget.h qt5-qtcharts-
  examples : /usr/lib64/qt5/examples/charts/nesteddonuts/widget.h qt5
  -qtcharts-examples :
  /usr/lib64/qt5/examples/charts/openglseries/datasource.h qt5-qtcharts-
  examples :
  /usr/lib64/qt5/examples/charts/piechartcustomization/brushtool.h qt5
  -qtcharts-examples :
  /usr/lib64/qt5/examples/charts/piechartcustomization/customslice.h qt5
  -qtcharts-examples :
  /usr/lib64/qt5/examples/charts/piechartcustomization/mainwidget.h qt5
  -qtcharts-examples :
  /usr/lib64/qt5/examples/charts/piechartcustomization/pentool.h qt5
  -qtcharts-examples :
  /usr/lib64/qt5/examples/charts/piechartdrilldown/drilldownchart.h qt5
  -qtcharts-examples :
  /usr/lib64/qt5/examples/charts/piechartdrilldown/drilldownslice.h qt5
  -qtcharts-examples :
  /usr/lib64/qt5/examples/charts/polarchart/chartview.h qt5-qtcharts-
  examples : /usr/lib64/qt5/examples/charts/qmloscilloscope/datasource.h
  qt5-qtcharts-examples :
  /usr/lib64/qt5/examples/charts/scatterchart/chartview.h qt5-qtcharts-
  examples : /usr/lib64/qt5/examples/charts/scatterinteractions/chartview.h
  qt5-qtcharts-examples :
  /usr/lib64/qt5/examples/charts/stackedbarchartdrilldown/drilldownchart.h
  qt5-qtcharts-examples :
  /usr/lib64/qt5/examples/charts/stackedbarchartdrilldown/drilldownseries.h
  qt5-qtcharts-examples :
  /usr/lib64/qt5/examples/charts/zoomlinechart/chart.h qt5-qtcharts-
  examples : /usr/lib64/qt5/examples/charts/zoomlinechart/chartview.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
=> Maybe move the sources of examples into a noarch subpackage or in devel.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
=> LGTM, common practice for qml extensions.

[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 1276 files have unknown license.
     Detailed output of licensecheck in /home/builder/fedora-
     review/1360255-qt5-qtcharts/licensecheck.txt
=> OK. Special Qt license header is not known to licensecheck.

[!]: License file installed when any subpackage combination is installed.
=> You say License: GFDL for doc subpackage but there's no license file.

[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/doc/qt5
=> %{_qt5_docdir} is owned by qt5-qtbase.
=> Add %dir %{_qt5_docdir} into doc subpackage (workaround due to noarch).

[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib64/qt5/examples(qt5
     -qtdeclarative-examples, qt5-qtvirtualkeyboard-examples, qt5
     -qtsensors-examples, qt5-qt3d-examples, qt5-qtsvg-examples, qt5
     -qtmultimedia-examples, qt5-qtbase-examples, qt5-qttools-examples, qt5
     -qtwebchannel-examples, qt5-qtserialbus-examples, qt5-qtxmlpatterns-
     examples, qt5-qtquickcontrols-examples, qt5-qtserialport-examples, qt5
     -qtwebsockets-examples, qt5-qtscript-examples, qt5-qtwebengine-
     examples, qt5-qtenginio-examples, qt5-qtconnectivity-examples, qt5
     -qtlocation-examples)
=> LGTM, common practice for qt5 examples.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
=> See below for rpmlint W: incoherent-version-in-changelog.

[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[!]: Development files must be in a -devel package
=> See above for examples.

[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[-]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[!]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
=> See below.

[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Comment 6 Raphael Groner 2016-10-09 17:10:31 UTC
Package Review (continued, rhbz does not allow me to put more than 65535 characters in one comment)

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
=> See above about license for doc subpackage (GFDL).

[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in qt5
     -qtcharts-doc , qt5-qtcharts-debuginfo
=> OK, both packages are optional.

[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
=> There are tests. Maybe execute them?

[x]: Packages should try to preserve timestamps of original installed
     files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define docs 1
=> Please fix. Also for (commented) prerelease.

[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[!]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
=> Please fix at least E: description-line-too-long and W: incoherent-version-in-changelog.

[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: qt5-qtcharts-5.7.0-2.fc26.x86_64.rpm
          qt5-qtcharts-devel-5.7.0-2.fc26.x86_64.rpm
          qt5-qtcharts-doc-5.7.0-2.fc26.noarch.rpm
          qt5-qtcharts-examples-5.7.0-2.fc26.x86_64.rpm
          qt5-qtcharts-debuginfo-5.7.0-2.fc26.x86_64.rpm
          qt5-qtcharts-5.7.0-2.fc26.src.rpm
qt5-qtcharts.x86_64: E: description-line-too-long C Qt Charts module provides a set of easy to use chart components. It uses the Qt Graphics View Framework, therefore charts can be easily
qt5-qtcharts.x86_64: E: description-line-too-long C integrated to modern user interfaces. Qt Charts can be used as QWidgets, QGraphicsWidget, or QML types.
qt5-qtcharts.x86_64: W: incoherent-version-in-changelog 5.7.0-1 ['5.7.0-2.fc26', '5.7.0-2']
qt5-qtcharts.x86_64: W: no-documentation
qt5-qtcharts-devel.x86_64: W: only-non-binary-in-usr-lib
qt5-qtcharts-devel.x86_64: W: no-documentation
qt5-qtcharts-examples.x86_64: W: no-documentation
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/multiaxis/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/nesteddonuts/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/piechartdrilldown/drilldownchart.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/chartinteractions/chartview.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/chartinteractions/chart.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/qmloscilloscope/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/stackedbarchartdrilldown/drilldownseries.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/scatterchart/chartview.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/zoomlinechart/chartview.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/piechartdrilldown/drilldownslice.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/splinechart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/qmlf1legends/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/piechartcustomization/pentool.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/legend/mainwidget.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/qmlpiechart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/stackedbarchart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/chartinteractions/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/legendmarkers/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/qmlaxes/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/boxplotchart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/barmodelmapper/tablewidget.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/qmlcustomlegend/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/donutbreakdown/mainslice.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/donutbreakdown/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/qmlboxplot/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/piechartdrilldown/drilldownslice.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/areachart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/callout/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/legendmarkers/mainwidget.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/qmlchart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/barmodelmapper/customtablemodel.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/callout/callout.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/horizontalpercentbarchart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/modeldata/customtablemodel.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/barmodelmapper/customtablemodel.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/legend/mainwidget.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/polarchart/chartview.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/polarchart/chartview.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/stackedbarchartdrilldown/drilldownchart.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/qmlweather/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/stackedbarchartdrilldown/drilldownseries.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/modeldata/tablewidget.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/chartthemes/themewidget.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/nesteddonuts/widget.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/qmloscilloscope/datasource.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/piechartcustomization/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/horizontalbarchart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/logvalueaxis/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/chartthemes/themewidget.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/lineandbar/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/qmloscilloscope/datasource.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/chartthemes/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/zoomlinechart/chart.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/piechartcustomization/pentool.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/linechart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/boxplotchart/boxdatareader.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/modeldata/customtablemodel.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/percentbarchart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/legendmarkers/mainwidget.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/piechartdrilldown/drilldownchart.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/nesteddonuts/widget.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/donutbreakdown/mainslice.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/piechartcustomization/brushtool.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/piechartcustomization/customslice.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/donutbreakdown/donutbreakdownchart.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/qmlcustomizations/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/zoomlinechart/chart.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/barchart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/boxplotchart/boxdatareader.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/qmlpolarchart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/zoomlinechart/chartview.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/zoomlinechart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/stackedbarchartdrilldown/drilldownchart.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/callout/view.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/piechartcustomization/customslice.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/donutbreakdown/donutbreakdownchart.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/scatterinteractions/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/piechartcustomization/mainwidget.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/donutchart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/stackedbarchartdrilldown/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/callout/callout.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/dynamicspline/chart.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/scatterchart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/dynamicspline/chart.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/piechartcustomization/mainwidget.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/scatterinteractions/chartview.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/barmodelmapper/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/scatterinteractions/chartview.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/chartinteractions/chartview.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/scatterchart/chartview.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/barmodelmapper/tablewidget.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/datetimeaxis/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/piechart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/modeldata/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/horizontalstackedbarchart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/piechartcustomization/brushtool.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/dynamicspline/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/piechartdrilldown/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/chartinteractions/chart.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/openglseries/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/temperaturerecords/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/legend/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/callout/view.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/openglseries/datasource.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/openglseries/datasource.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/modeldata/tablewidget.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/customchart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/polarchart/main.cpp
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/modeldata/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/modeldata/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/callout/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/callout/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/chartthemes/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/chartthemes/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/legend/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/legend/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/dynamicspline/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/dynamicspline/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlf1legends/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlf1legends/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlaxes/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlaxes/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/scatterchart/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/scatterchart/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlweather/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlweather/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/scatterinteractions/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/scatterinteractions/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlpiechart/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlpiechart/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/legendmarkers/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/legendmarkers/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/barmodelmapper/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/barmodelmapper/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/openglseries/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/openglseries/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/boxplotchart/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/boxplotchart/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/nesteddonuts/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/nesteddonuts/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/src/chartsqml2/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/src/chartsqml2/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlcustomizations/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlcustomizations/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/src/charts/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/src/charts/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/chartinteractions/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/chartinteractions/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/stackedbarchartdrilldown/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/stackedbarchartdrilldown/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlchart/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlchart/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmloscilloscope/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmloscilloscope/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmloscilloscope/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmloscilloscope/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/datetimeaxis/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/datetimeaxis/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlpolarchart/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlpolarchart/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/donutbreakdown/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/donutbreakdown/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlcustomlegend/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlcustomlegend/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/piechartcustomization/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/piechartcustomization/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlboxplot/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlboxplot/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/piechartdrilldown/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/piechartdrilldown/.moc
qt5-qtcharts.src: E: description-line-too-long C Qt Charts module provides a set of easy to use chart components. It uses the Qt Graphics View Framework, therefore charts can be easily
qt5-qtcharts.src: E: description-line-too-long C integrated to modern user interfaces. Qt Charts can be used as QWidgets, QGraphicsWidget, or QML types.
6 packages and 0 specfiles checked; 4 errors, 175 warnings.




Rpmlint (debuginfo)
-------------------
Checking: qt5-qtcharts-debuginfo-5.7.0-2.fc26.x86_64.rpm
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/legend/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/legend/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlf1legends/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlf1legends/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/dynamicspline/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/dynamicspline/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/piechartdrilldown/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/piechartdrilldown/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/datetimeaxis/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/datetimeaxis/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/scatterinteractions/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/scatterinteractions/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/openglseries/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/openglseries/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlpiechart/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlpiechart/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/modeldata/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/modeldata/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/legendmarkers/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/legendmarkers/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/src/charts/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/src/charts/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlweather/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlweather/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/src/chartsqml2/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/src/chartsqml2/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/scatterchart/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/scatterchart/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/chartthemes/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/chartthemes/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/nesteddonuts/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/nesteddonuts/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/barmodelmapper/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/barmodelmapper/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlcustomizations/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlcustomizations/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/donutbreakdown/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/donutbreakdown/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/boxplotchart/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/boxplotchart/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/stackedbarchartdrilldown/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/stackedbarchartdrilldown/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/piechartcustomization/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/piechartcustomization/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/callout/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/callout/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmloscilloscope/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmloscilloscope/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlcustomlegend/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlcustomlegend/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlaxes/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlaxes/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlpolarchart/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlpolarchart/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/chartinteractions/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/chartinteractions/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlboxplot/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlboxplot/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmloscilloscope/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmloscilloscope/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlchart/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlchart/.rcc
1 packages and 0 specfiles checked; 0 errors, 62 warnings.





Rpmlint (installed packages)
----------------------------
qt5-qtcharts.x86_64: E: description-line-too-long C Qt Charts module provides a set of easy to use chart components. It uses the Qt Graphics View Framework, therefore charts can be easily
qt5-qtcharts.x86_64: E: description-line-too-long C integrated to modern user interfaces. Qt Charts can be used as QWidgets, QGraphicsWidget, or QML types.
qt5-qtcharts.x86_64: W: incoherent-version-in-changelog 5.7.0-1 ['5.7.0-2.fc26', '5.7.0-2']
qt5-qtcharts.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5Charts.so.5.7.0 /lib64/libpthread.so.0
qt5-qtcharts.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5Charts.so.5.7.0 /lib64/libGL.so.1
qt5-qtcharts.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5Charts.so.5.7.0 /lib64/libgcc_s.so.1
qt5-qtcharts.x86_64: W: no-documentation
qt5-qtcharts-examples.x86_64: W: no-documentation
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/legend/mainwidget.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/piechartcustomization/pentool.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/chartinteractions/chart.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/boxplotchart/boxdatareader.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/boxplotchart/boxdatareader.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/piechartdrilldown/drilldownslice.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/callout/callout.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/stackedbarchartdrilldown/drilldownseries.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/donutbreakdown/mainslice.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/qmloscilloscope/datasource.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/polarchart/chartview.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/qmlaxes/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/barmodelmapper/customtablemodel.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/qmlboxplot/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/stackedbarchartdrilldown/drilldownchart.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/percentbarchart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/stackedbarchartdrilldown/drilldownseries.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/qmlchart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/dynamicspline/chart.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/barmodelmapper/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/piechartcustomization/customslice.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/scatterinteractions/chartview.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/chartinteractions/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/scatterchart/chartview.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/polarchart/chartview.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/donutchart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/qmlpiechart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/customchart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/chartthemes/themewidget.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/nesteddonuts/widget.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/qmlcustomizations/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/zoomlinechart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/openglseries/datasource.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/logvalueaxis/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/modeldata/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/chartinteractions/chartview.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/nesteddonuts/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/donutbreakdown/donutbreakdownchart.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/legendmarkers/mainwidget.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/areachart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/barmodelmapper/tablewidget.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/piechart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/stackedbarchart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/qmlpolarchart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/qmloscilloscope/datasource.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/splinechart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/piechartcustomization/brushtool.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/piechartcustomization/customslice.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/scatterinteractions/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/datetimeaxis/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/nesteddonuts/widget.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/horizontalstackedbarchart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/barchart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/piechartdrilldown/drilldownchart.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/qmlf1legends/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/donutbreakdown/donutbreakdownchart.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/horizontalbarchart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/donutbreakdown/mainslice.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/chartthemes/themewidget.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/donutbreakdown/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/legendmarkers/mainwidget.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/scatterchart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/qmlweather/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/callout/view.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/openglseries/datasource.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/multiaxis/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/scatterchart/chartview.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/temperaturerecords/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/callout/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/legend/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/chartinteractions/chartview.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/piechartcustomization/brushtool.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/piechartdrilldown/drilldownchart.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/qmlcustomlegend/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/scatterinteractions/chartview.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/legendmarkers/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/zoomlinechart/chartview.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/modeldata/tablewidget.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/linechart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/horizontalpercentbarchart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/dynamicspline/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/dynamicspline/chart.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/zoomlinechart/chart.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/piechartcustomization/mainwidget.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/piechartcustomization/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/chartthemes/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/callout/callout.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/qmloscilloscope/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/zoomlinechart/chartview.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/piechartdrilldown/drilldownslice.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/barmodelmapper/customtablemodel.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/piechartcustomization/mainwidget.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/stackedbarchartdrilldown/drilldownchart.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/modeldata/customtablemodel.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/modeldata/tablewidget.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/zoomlinechart/chart.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/polarchart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/stackedbarchartdrilldown/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/callout/view.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/piechartcustomization/pentool.h
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/chartinteractions/chart.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/lineandbar/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/modeldata/customtablemodel.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/legend/mainwidget.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/boxplotchart/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/barmodelmapper/tablewidget.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/openglseries/main.cpp
qt5-qtcharts-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/charts/piechartdrilldown/main.cpp
qt5-qtcharts-devel.x86_64: W: only-non-binary-in-usr-lib
qt5-qtcharts-devel.x86_64: W: no-documentation
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/openglseries/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/openglseries/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/chartinteractions/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/chartinteractions/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/nesteddonuts/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/nesteddonuts/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmloscilloscope/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmloscilloscope/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlf1legends/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlf1legends/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/callout/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/callout/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlpiechart/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlpiechart/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/boxplotchart/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/boxplotchart/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/src/chartsqml2/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/src/chartsqml2/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/barmodelmapper/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/barmodelmapper/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/legend/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/legend/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/dynamicspline/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/dynamicspline/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlboxplot/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlboxplot/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmloscilloscope/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmloscilloscope/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlweather/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlweather/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/chartthemes/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/chartthemes/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/modeldata/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/modeldata/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/piechartcustomization/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/piechartcustomization/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlcustomizations/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlcustomizations/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/legendmarkers/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/legendmarkers/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlcustomlegend/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlcustomlegend/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlchart/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlchart/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlpolarchart/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlpolarchart/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/scatterinteractions/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/scatterinteractions/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/scatterchart/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/scatterchart/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/stackedbarchartdrilldown/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/stackedbarchartdrilldown/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/piechartdrilldown/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/piechartdrilldown/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlaxes/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/qmlaxes/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/donutbreakdown/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/donutbreakdown/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/datetimeaxis/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/charts/datetimeaxis/.rcc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/src/charts/.moc
qt5-qtcharts-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtcharts-opensource-src-5.7.0/x86_64-redhat-linux-gnu/src/charts/.moc
5 packages and 0 specfiles checked; 2 errors, 178 warnings.



Requires
--------
qt5-qtcharts-doc (rpmlib, GLIBC filtered):
    qt5-qtcharts

qt5-qtcharts (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libGL.so.1()(64bit)
    libQt5Charts.so.5()(64bit)
    libQt5Charts.so.5(Qt_5)(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Qml.so.5()(64bit)
    libQt5Qml.so.5(Qt_5)(64bit)
    libQt5Quick.so.5()(64bit)
    libQt5Quick.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    qt5-qtbase(x86-64)
    rtld(GNU_HASH)

qt5-qtcharts-examples (rpmlib, GLIBC filtered):
    libGL.so.1()(64bit)
    libQt5Charts.so.5()(64bit)
    libQt5Charts.so.5(Qt_5)(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Qml.so.5()(64bit)
    libQt5Qml.so.5(Qt_5)(64bit)
    libQt5Quick.so.5()(64bit)
    libQt5Quick.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    qt5-qtcharts(x86-64)
    rtld(GNU_HASH)

qt5-qtcharts-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libQt5Charts.so.5()(64bit)
    pkgconfig(Qt5Core)
    pkgconfig(Qt5Gui)
    pkgconfig(Qt5Widgets)
    qt5-qtbase-devel(x86-64)
    qt5-qtcharts(x86-64)

qt5-qtcharts-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
qt5-qtcharts-doc:
    qt5-qtcharts-doc

qt5-qtcharts:
    libQt5Charts.so.5()(64bit)
    libQt5Charts.so.5(Qt_5)(64bit)
    libQt5Charts.so.5(Qt_5.0)(64bit)
    libQt5Charts.so.5(Qt_5.1)(64bit)
    libQt5Charts.so.5(Qt_5.2)(64bit)
    libQt5Charts.so.5(Qt_5.3)(64bit)
    libQt5Charts.so.5(Qt_5.4)(64bit)
    libQt5Charts.so.5(Qt_5.5)(64bit)
    libQt5Charts.so.5(Qt_5.6)(64bit)
    libQt5Charts.so.5(Qt_5.7)(64bit)
    libQt5Charts.so.5(Qt_5_PRIVATE_API)(64bit)
    libqtchartsqml2.so()(64bit)
    qt5-qtcharts
    qt5-qtcharts(x86-64)

qt5-qtcharts-examples:
    qt5-qtcharts-examples
    qt5-qtcharts-examples(x86-64)

qt5-qtcharts-devel:
    cmake(Qt5Charts)
    pkgconfig(Qt5Charts)
    qt5-qtcharts-devel
    qt5-qtcharts-devel(x86-64)

qt5-qtcharts-debuginfo:
    qt5-qtcharts-debuginfo
    qt5-qtcharts-debuginfo(x86-64)



Unversioned so-files
--------------------
qt5-qtcharts: /usr/lib64/qt5/qml/QtCharts/libqtchartsqml2.so

Source checksums
----------------
http://download.qt.io/official_releases/qt/5.7/5.7.0/submodules/qtcharts-opensource-src-5.7.0.tar.xz :
  CHECKSUM(SHA256) this package     : 2bc8a87375c7aeebde2e4cd2408c92c91ec3fed9e6e8b5fde789131b532d5243
  CHECKSUM(SHA256) upstream package : 2bc8a87375c7aeebde2e4cd2408c92c91ec3fed9e6e8b5fde789131b532d5243


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1360255
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 Raphael Groner 2016-10-09 17:10:58 UTC
You can use a build conditional for doc:
   %bcond_without docs
   ...
   %if %{with docs}
   %package doc
   ...
   %endif
   ...
   %build
   %if %{with docs}
   ...
   make %{?_smp_mflags} docs
   %endif
   ...
   %if %{with docs}
   %files doc
   ...
   %endif

Comment 8 Raphael Groner 2016-10-09 18:49:15 UTC
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=16016905

Comment 9 Patrick Uiterwijk 2016-10-11 12:08:57 UTC
Package request has been denied with the reason: Review not approved

Comment 10 Patrick Uiterwijk 2016-10-11 12:21:43 UTC
Package request has been denied with the reason: not approved

Comment 11 Patrick Uiterwijk 2016-10-11 12:22:47 UTC
Package request has been denied with the reason: p

Comment 12 Kevin Kofler 2016-10-11 17:04:56 UTC
Raphael (the reviewer), please set the fedora-review+ flag. (It must be set by the reviewer for proper accounting.)

Comment 13 Kevin Kofler 2016-10-11 17:28:51 UTC
Raphael clarified on IRC that there are some points left to fix, so it was the package request that was in error.

Comment 14 Raphael Groner 2016-11-05 22:55:01 UTC
No reply from requester yet. :( I'll step back.

Comment 16 Rex Dieter 2016-11-23 14:05:18 UTC
naming: ok

license: ok

sources: ok (for now, 5.7.1 tarballs not officially released yet)

macros: ok

scriptlets: ok

follows style/conventions of other qt5- packages


1.  MUST review hard versioned dep:
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}

Is this really needed (does it really used internal/private interfaces)?  If so, MUST add (for tracking purposes):
BuildRequires: qt5-qtbase-private-devel

if not really needed, please remove it

Comment 17 Rex Dieter 2016-11-23 14:08:59 UTC
discussed item 1 on irc, agreed to remove it (for now) prior to submitting any builds.

So, APPROVED

Comment 18 Rex Dieter 2016-11-23 14:11:34 UTC
ah, largely cosmetic
2.  SHOULD remove
BuildRequires: cmake

it's not needed anymore, the appropriate cmake is pulled in by qt5-rpm-macros

Comment 19 Rex Dieter 2017-01-24 16:21:55 UTC
Confirmed imported, closing


Note You need to log in before you can comment on or make changes to this bug.